use leptos::*;

/// Renders the home page of your application.
#[component]
pub fn AuthBase(children: Children) -> impl IntoView {
    view! {
            <div class="h-full flex flex-row">
                
                <div class="w-full md:basis-1/3 2xl:basis-1/4 flex h-full flex-col px-4 py-16">
                    <div class="flex h-full grow-0 flex-col px-4 py-16">

                        <div class="mt-auto">

                            <img class="mx-auto" src="/android-chrome-192x192.png" alt={ crate::PROJECT_NAME }/>

                            { children() }
                        </div>

                        <div class="mt-auto text-center text-sm text-gray-500">
                            <p>{ crate::COPYRIGHT }</p>
                            <p class="">
                                <span class="px-1"><a href="https://git.avii.nl/AVAM/avam" class="link" target="_BLANK"><i class="fab fa-git-alt"></i></a></span>
                                <span class="px-1"><a href="#" class="link" target="_BLANK"><i class="fab fa-discord"></i></a></span>
                            </p>
                        </div>

                    </div>
                </div>

                <div class="md:basis-2/3 2xl:basis-3/4 bg-cover bg-center bg-auth"></div>

            </div>

    }
    .into_view()
}
